# 고객 삭제 API

플랫폼 서비스에서 특정 비즈니스의 고객 정보를 삭제할 수 있는 API를 제공합니다.

<br>

## `DELETE` kit-api/v1/customers/\[customerId]

Method: DELETE\
Endpoint: kit-api/v1/customers/\[customerId]

<br>

## Example

```
...kit-api/v1/customers/1
```

<br>

## Request Path 파라미터

| Key        | Description | Required |
| ---------- | ----------- | -------- |
| customerId | 삭제할 고객 ID   | yes      |

<br>

## Response

```json
{
  "ok": true,
  "data": {
    "id": 1,
    "title": "김철수",
    "customKey": "A5-k159402",
    "ceo": "김대표",
    "registrationNumber": "789-30-01467",
    "address": "서울특별시 서초구 프릭스로 551",
    "industry": "정보통신업",
    "category": "응용 소프트웨어 개발 및 공급업"
  }
}
```

```json
{
  "ok": false, // api 실패
  "message": "error message", // Error가 존재하면 message(string)로 전달
  "errorCode": "ERROR_CODE"
}
```

<br>

| Status Code | Error Code           | Description    |
| ----------- | -------------------- | -------------- |
| 404         | NOT\_FOUND\_CUSTOMER | 존재하지 않는 고객인 경우 |

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-kit.prix.im/platform/remove-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
